function [numOfWalls, isIndoor] = findWalls(x1, y1, x2, y2, handles)
numOfWalls = 0;
isIndoor = 0;
coordVectors = get(handles.figure1, 'UserData');
for i=1:size(coordVectors.building, 2)
   buildCoords = coordVectors.building{i};
   xlimit = [buildCoords(1) (buildCoords(1)+buildCoords(3))];
   ylimit = [buildCoords(2) (buildCoords(2)+buildCoords(4))];
   if isIndoor == 0
      if (xlimit(1) <= x1 && xlimit(2) >= x1 && ylimit(1) <= y1 && ylimit(2) >= y1)
         isIndoor = 1;
      end
   end
   xbox = xlimit([1 1 2 2 1]);
   ybox = ylimit([1 2 2 1 1]);
   [xVect, yVect] = polyxpoly([x1 x2], [y1 y2], xbox, ybox, 'unique');
   numOfWalls = numOfWalls + size([xVect, yVect], 1);
end