function [BS_total]=manhattan_env2(handles)

% Topology values

building_number_x = str2num(get(handles.text10, 'String'));
building_number_y = str2num(get(handles.text11, 'String'));
tmpLen = get(handles.text14, 'String');
road_lenght = str2double(tmpLen(1:end-1));
road_width = road_lenght;

total_length = 250 * 2;
total_width = 216 * 2;

building_length = (total_length - road_lenght -...
    building_number_x * road_lenght) / building_number_x;
building_width = (total_width - road_width -...
    building_number_y * road_width) / building_number_y;

buildingsNum = 1;
coordVectors = get(handles.figure1, 'UserData');
for i=1:building_number_x
    for j=1:building_number_y
        hold on
        x = i*road_lenght+(i - 1)*building_length;
        y = j*road_width+(j - 1)*building_width;
        w = building_length;
        h = building_width;
        rectangle('Position', [x, y, w, h], 'EraseMode', 'normal');
        coordVectors.building{buildingsNum} = [x, y, w, h];
        buildingsNum = buildingsNum + 1;
    end
end
set(handles.figure1, 'UserData', coordVectors);
